<?php

namespace Modules\Language\Interfaces;

use Modules\Language\Models\Language;

interface LanguageRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Language;
    public function update(array $request, Language $language): Language;
    public function destroy(Language $language): void;
    public function destroyAll(array $ids): void;
    public function restore(Language $language): void;
    public function restoreAll(array $ids): void;
}
